<template>
  <div>
    <p>Вам предлагают поехать по тарифу из договора. Подтвердите, если вы согласны.</p>
    <Voyage />
    <div
      v-if="order.status === STEP.ACTIVE"
      class="account-booking__button"
    >
      <ObCountdown
        ref="countdown"
        :duration="duration"
        :is-visibility-mode="true"
      >
        <ob-button
          @click="acceptOrderWrapper"
          label="Согласиться"
          class="account-button"
          :disabled="isSended"
        />
      </ObCountdown>
    </div>
  </div>
</template>

<script>
  import Voyage from '../voyage/index'
  import ObButton from 'common-components/src/obComponents/obButton'
  import ObCountdown from 'common-components/src/obComponents/obCountdown'
  import { mapActions, mapGetters } from "vuex"
  import accountTimerMixin from "@/mixins/account-timer-mixin"
  import STEPS from '@/constants/steps.js'

  export default {
    name: "StatusActive",
    mixins: [
      accountTimerMixin
    ],
    components: {
      Voyage,
      ObButton,
      ObCountdown
    },
    data () {
      return {
        isSended: false,
        STEP: STEPS
      }
    },
    watch: {
      order () {
        this.isSended = false
      },
    },
    computed: {
      ...mapGetters({
        order: 'account/order'
      }),
      duration () {
        return this.order?.secondsBeforeExpiration >= 0 ? this.order?.secondsBeforeExpiration : 0
      }
    },
    methods: {
      ...mapActions({
        acceptOrder: 'account/acceptOrder'
      }),
      acceptOrderWrapper () {
        this.$eventGlobal.$emit('account-order-accept-booking')
        this.isSended = true
        this.acceptOrder({uuid: this.order.uuid})
      }
    }
  }
</script>
